config:
  enumsAsTypes: true
  strictScalars: true
  scalars:
    DateTime: Date
    EmailAddress: string
    URL: URL
    JSON: any
    JSONObject: any
generates:
  src/generated/graphql.ts:
    schema: src/graphql/*.graphql
    plugins:
      - typescript
      - typescript-resolvers
    config:
      useIndexSignature: true
      contextType: ../context#Context
